## org.apache.commons.collections.set
Class SynchronizedSortedSet

    java.lang.Object
      org.apache.commons.collections.collection.SynchronizedCollection
          org.apache.commons.collections.set.SynchronizedSortedSet

All Implemented Interfaces:
  Collection, Serializable, Set, SortedSet

public class SynchronizedSortedSet
extends SynchronizedCollection
implements SortedSet

Decorates another `SortedSet` to synchronize its behaviour for a multi-threaded environment.

Methods are synchronized, then forwarded to the decorated set.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/06/03 22:02:13 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.SynchronizedCollection
`collection, lock`

Constructor Summary
`protected` `SynchronizedSortedSet(SortedSet set)` Constructor that wraps (not copies).
`protected` `SynchronizedSortedSet(SortedSet set, Object lock)` Constructor that wraps (not copies).

Method Summary
`Comparator` `comparator()`
`static SortedSet` `decorate(SortedSet set)` Factory method to create a synchronized set.
`Object` `first()`
`protected SortedSet` `getSortedSet()` Gets the decorated set.
`SortedSet` `headSet(Object toElement)`
`Object` `last()`
`SortedSet` `subSet(Object fromElement, Object toElement)`
`SortedSet` `tailSet(Object fromElement)`

Methods inherited from class org.apache.commons.collections.collection.SynchronizedCollection
`add, addAll, clear, contains, containsAll, decorate, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### SynchronizedSortedSet

    protected SynchronizedSortedSet(SortedSet set)

  Constructor that wraps (not copies).

Parameters:
  `set` - the set to decorate, must not be null
Throws:
  `IllegalArgumentException` - if set is null

### SynchronizedSortedSet

    protected SynchronizedSortedSet(SortedSet set,
                                    Object lock)

  Constructor that wraps (not copies).

Parameters:
  `set` - the set to decorate, must not be null
  `lock` - the lock object to use, must not be null
Throws:
  `IllegalArgumentException` - if set is null

Method Detail

### decorate

    public static SortedSet decorate(SortedSet set)

  Factory method to create a synchronized set.

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `IllegalArgumentException` - if set is null

### getSortedSet

    protected SortedSet getSortedSet()

  Gets the decorated set.

  Returns:
    the decorated set

### subSet

    public SortedSet subSet(Object fromElement,
                            Object toElement)

  Specified by:
    `subSet` in interface `SortedSet`

### headSet

    public SortedSet headSet(Object toElement)

  Specified by:
    `headSet` in interface `SortedSet`

### tailSet

    public SortedSet tailSet(Object fromElement)

  Specified by:
    `tailSet` in interface `SortedSet`

### first

    public Object first()

  Specified by:
    `first` in interface `SortedSet`

### last

    public Object last()

  Specified by:
    `last` in interface `SortedSet`

### comparator

    public Comparator comparator()

  Specified by:
    `comparator` in interface `SortedSet`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.